[arch-commits] Commit in libreoffice-still-i18n/repos (2 files)

Andreas Radke andyrtr at archlinux.org
Thu Mar 9 14:50:38 UTC 2017


    Date: Thursday, March 9, 2017 @ 14:50:37
  Author: andyrtr
Revision: 290210

archrelease: copy trunk to testing-any

Added:
  libreoffice-still-i18n/repos/testing-any/
  libreoffice-still-i18n/repos/testing-any/PKGBUILD
    (from rev 290209, libreoffice-still-i18n/trunk/PKGBUILD)

----------+
 PKGBUILD |  533 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 533 insertions(+)

Copied: libreoffice-still-i18n/repos/testing-any/PKGBUILD (from rev 290209, libreoffice-still-i18n/trunk/PKGBUILD)
===================================================================
--- testing-any/PKGBUILD	                        (rev 0)
+++ testing-any/PKGBUILD	2017-03-09 14:50:37 UTC (rev 290210)
@@ -0,0 +1,533 @@
+# $Id$
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+# Maintainer: Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+
+pkgbase=libreoffice-still-i18n
+
+pkgver=5.2.6
+pkgrel=1
+_rcver=${pkgver}.2
+#_oodlver=${pkgver}.0.beta1
+_oodlver=${pkgver}
+
+arch=('any')
+url="http://www.documentfoundation.org"
+license=('LGPL')
+
+#https://download.documentfoundation.org/mirrors/all.html
+_url="https://download.documentfoundation.org/libreoffice/stable"
+#_url="https://download.documentfoundation.org/libreoffice/testing"
+#_url="https://dev-builds.libreoffice.org/pre-releases"
+#_url="https://www.libreoffice.org/download/pre-releases"
+
+#_url+="/${pkgver}-rc2/rpm/x86"
+_url+="/${pkgver}/rpm/x86"
+#_url+="/rpm/x86"
+
+_languages=(
+  'af            "Afrikaans"'
+  'am            "Amharic"'
+  'ar            "Arabic"'
+  'as            "Assamese (India)"'
+  'ast           "Asturianu"'
+  'be            "Belarusian"'
+  'bg            "Bulgarian"'
+  'bn            "Bengali"'
+  'bn-IN         "Bengali (India)"'
+  'bo            "Tibetan"'
+  'br            "Breton"'
+  'brx           "Bodo"'
+  'bs            "Bosnian"'
+  'ca            "Catalan"'
+  'ca-valencia   "Catalan (Valencia)"'
+  'cs            "Czech"'
+  'cy            "Welsh"'
+  'da            "Danish"'
+  'de            "German"'
+  'dgo           "Dogri"'
+  'dz            "Dzongkha"'
+  'el            "Greek"'
+  'en-GB         "English (GB)"'
+  'en-ZA         "English (ZA)"'
+  'eo            "Esperanto"'
+  'es            "Spanish"'
+  'et            "Estonian"'
+  'eu            "Basque"'
+  'fa            "Persian"'
+  'fi            "Finnish"'
+  'fr            "French"'
+  'ga            "Irish"'
+  'gd            "Gaelic (Scottish)"'
+  'gl            "Galician"'
+  'gu            "Gujarati"'
+  'he            "Hebrew"'
+  'hi            "Hindi"'
+  'hr            "Croatian"'
+  'hu            "Hungarian"'
+  'id            "Indonesian"'
+  'is            "Icelandic"'
+  'it            "Italian"'
+  'ja            "Japanese"'
+  'ka            "Georgian"'
+  'kk            "Kazakh"'
+  'km            "Khmer (Cambodia)"'
+  'kmr-Latn      "Kurdish"'
+  'kn            "Kannada"'
+  'ko            "Korean"'
+  'kok           "Konkani"'
+  'ks            "Kashmiri"'
+  'lb            "Luxembourgish"'
+  'lo            "Lao"'
+  'lt            "Lithuanian"'
+  'lv            "Latvian"'
+  'mai           "Maithili"'
+  'mk            "Macedonian"'
+  'ml            "Malayalam"'
+  'mn            "Mongolian"'
+  'mni           "Manipuri"'
+  'mr            "Marathi"'
+  'my            "Burmese"'
+  'nb            "Norwegian Bokmal"'
+  'ne            "Nepali"'
+  'nl            "Dutch"'
+  'nn            "Norwegian Nynorsk"'
+  'nr            "Ndebele (South)"'
+  'nso           "Northern Sotho"'
+  'oc            "Occitan"'
+  'om            "Oromo"'
+  'or            "Oriya"'
+  'pa-IN         "Punjabi (India)"'
+  'pl            "Polish"'
+  'pt            "Portuguese"'
+  'pt-BR         "Portuguese (Brasil)"'
+  'ro            "Romanian"'
+  'ru            "Russian"'
+  'rw            "Kinyarwanda"'
+  'sa-IN         "Sanskrit (India)"'
+  'sat           "Santali"'
+  'sd            "Sindhi"'
+  'si            "Singhalese"'
+  'sid           "Sidama"'
+  'sk            "Slovak"'
+  'sl            "Slovenian"'
+  'sq            "Albanien"'
+  'sr            "Serbian"'
+  'sr-Latn       "Serbian (Latin)"'
+  'ss            "Swati"'
+  'st            "Southern Sotho"'
+  'sv            "Swedish"'
+  'sw-TZ         "Swahili (Tanzania)"'
+  'ta            "Tamil"'
+  'te            "Telugu"'
+  'tg            "Tajik"'
+  'th            "Thai"'
+  'tn            "Tswana"'
+  'tr            "Turkish"'
+  'ts            "Tsonga"'
+  'tt            "Tatar"'
+  'ug            "Uighur"'
+  'uk            "Ukrainian"'
+  'uz            "Uzbek"'
+  've            "Venda"'
+  'vi            "Vietnamese"'
+  'xh            "Xhosa"'
+  'zh-CN         "Chinese (simplified)"'
+  'zh-TW         "Chinese (traditional)"'
+  'zu            "Zulu"'
+)
+sha256sums=('f5e0d9c2246f72f7815bba56c642fda0896977d3b5c06917d176c4c49d63c528'
+            'SKIP'
+            '0d259e0162e78fde7444c58468c6cd26b87d77cd1077a396b442bc9e4b10f3fd'
+            'SKIP'
+            '9e337bfddbc429d6b0e2ac4f2b42144f6ca04b97af7148e4d9cd3c8b9cb52cde'
+            'SKIP'
+            '26ae9f0fba70b727cc16fd2570c23cb20bbd3445938dd345bbfe145baf9eac50'
+            'SKIP'
+            '274350261009be718e2bf39528aaf89c4f3be425f0646bdb8ff29c5b54c2a33c'
+            'SKIP'
+            '2dba1f97f6e3202c9f4ca591cf1f098be958a72c55ab052f39febd852644c548'
+            'SKIP'
+            'f55b5b67c2d952f718d462eb45c52e07f4b84c0fb9d77630d6ee0f22e08fab08'
+            'SKIP'
+            '8be1fcc42a20c664db17301c26b96a70cfec42eefb587ea6717d8de749f8fc5a'
+            'SKIP'
+            '94a58e9b11d0530faf6171d7cc4567b58e0011002c3cfe9e04d873f805f16863'
+            'SKIP'
+            '94d9a95db4deb959d98b628054ec16fa3ebd18c10a34a61f7a29c521921ae5c0'
+            'SKIP'
+            '6e14e669540a4d0152313aa58e22222211a699b9c0e264c10093fe76884c01ea'
+            'SKIP'
+            '297c5a580f730cd80757cf0451e1c4350fac83071e452a00ef7fe8df6aa0581f'
+            'SKIP'
+            '690987e70f3bee47e32071f8e31eb25ce42878865456377a3dda3013f7e1b793'
+            'SKIP'
+            '5ce70f6fc0883a763844b84351197458736f44a4361c2c114397109cfd8073ea'
+            'SKIP'
+            'fcdbb335ec855a9871833bdb3857cbefabcddd34db53240420ea5976384deeaf'
+            'SKIP'
+            'f65d4b75220f876834ba8a6ab87cc4cb84cccd1a8fe1d4e74b467446018c6643'
+            'SKIP'
+            'd0f4171a215289a950cafd2dfba755ac32d8ee86a9e5e2c21ae92cc80e7c7a85'
+            'SKIP'
+            '270135dbba6e5aa323614c54fa7f0f30c99300842e221b3fbcf0ef83700911a7'
+            'SKIP'
+            '121d25be208bf0feb8b55c08b77848e15fdef8c5105723aac53086cbeb5eb463'
+            'SKIP'
+            '4170c6f92e3f4c7004a3794009d7ab6920224557cc4c88f67c5cff6596c23a2f'
+            'SKIP'
+            '3dd3c28c3e7f3433df6dd2bcff81df31b6dd837f0a6c5f4bcfa549784c44d771'
+            'SKIP'
+            'a3eae242ea1f0fa6e733d6c1d00937d502dad490cc890fea4c649101128d9dec'
+            'SKIP'
+            '0d54c6bc234abb9ef3ab412ccc7050783e4d50321be8c4489ffd8392cc543c9d'
+            'SKIP'
+            'abe72debca5df14562e9996b8883fc31001b2cd367d39d5b1c61ec5f574f006e'
+            'SKIP'
+            '54a47be8e929bd18e42b33363ccc3f63f0f4d9a4738e4dede1578e9fbea3c666'
+            'SKIP'
+            '6ac67e472e420e2942f119bf1d0fc816ee4c6859cc758ba473ca66525cbc43cb'
+            'SKIP'
+            '732096284c3126a5a438cc86a1ba5acd2b2ce80ba35fbf1c5fad08e516835fd9'
+            'SKIP'
+            '6aacb8d87d34a69ae6e9faccd7bef43f022d4fc88b1f8fd8e82e88a9147a1309'
+            'SKIP'
+            '60c53cf993f8632d6c78dc9d0b78c68a507e5637a221b8732a35bb7b108126dd'
+            'SKIP'
+            '55fed41be6ad65e8070b42084b63d4ff583fd3f2a7e8fc2958299ec5fb8bf6f2'
+            'SKIP'
+            'd9bf739525062b1f01c847dc9e925d5b8a3c9100d320cf284660cc5cde0eb31f'
+            'SKIP'
+            'a7edf942f5610173e24a1570658795169e82ea3930a016addd28790062fe8bb4'
+            'SKIP'
+            'd037794ec0f64afe67390c58f7d63964c6925f13ccb1d1f02a92dd2662c3e1da'
+            'SKIP'
+            '1ef5e99b4809a9f8d8515a02e5327e459cd6ea1de19f9a3c8a899fbaf0701c4f'
+            'SKIP'
+            '74ddf00069ca1ba8b70de1b109b39ea4c0022bbaebf7680c5e130609076e5a25'
+            'SKIP'
+            'f8d2d0d87ba8aa6fe45c9f9911c4d06c31bd7ba21781fa300cb6af590d8dea68'
+            'SKIP'
+            '4ee6fcf593f6a213210a972b116dd4ebbf6d3963799988313faa047e065b0f53'
+            'SKIP'
+            'ac8f11c47bd39ac70d55874e4dbc26a2d7ca9a0fc390b4ae39291fd14eff3ccb'
+            'SKIP'
+            '5516f8c00adb414f401979f16858259c3a2a2452bf6ffe5508185296baf9eda4'
+            'SKIP'
+            '216b6d10e2b14a402bc2c564c757c2b186705ba7a14308a0add4376e93cac157'
+            'SKIP'
+            '96468d98fc2d0ad8f214b6b8f70fe9bd793b7954d0e4ab771bbad7df97ac7f18'
+            'SKIP'
+            'bbd9178c832776886b28e990a8c00ddf8f5a7d5f617f90dc56e71fa02c8e1db2'
+            'SKIP'
+            'ccce4af87c839009f0188eff8fbd5468a76b427a2d958eeacfec0ff76a684157'
+            'SKIP'
+            '03074a7e33ad4749308f2479ed95f5c2806dafbf4b94e81532ca7a0868871576'
+            'SKIP'
+            '5b1c133d98b2a5b2569532038bf31b16addaec80ca740fa0cb25fd9424bddd51'
+            'SKIP'
+            '63578c426b34b51b3960dd8f7db5162cd0d5506d3f28ae02e8ebc5e8e1485754'
+            'SKIP'
+            '6e78868ba5df09ea86cb6f82c6abe2fdcd9d6819658d99de678e8c3577c7ea2b'
+            'SKIP'
+            'ea0e836239f74d9b7fc9fbff29d1d447035dc16e167c768b4692a6e5da3170c4'
+            'SKIP'
+            '08d6a0112803142289493a148ffd136efa18be71196144109f6dc04a8b99e67a'
+            'SKIP'
+            'a8c1ad4b17007baee154fa366a86dba3692f3d57f32c3ac95abf9502de4b402e'
+            'SKIP'
+            'e4004698f8f76aa2adcfa643d199e3bf7b04d6cafe899c83fe5b52014a7f47a3'
+            'SKIP'
+            '5f0b43f129f66c85b938f1ca1daa8ef8742ea66aefd466fc8a9ae4d355d99abd'
+            'SKIP'
+            '6b66a13fe92d3320455c428f86df225dcb5e6d2f3adaac3904b6bc1176c100be'
+            'SKIP'
+            '981fdad35ff38f80753e6fa9408044a65c94ac751b7aa0de0cf7bda4d303cc12'
+            'SKIP'
+            '793d964f96f2597989e157567631a7f7a9422aa0d6895c37d2ffbcebfd9bcd7c'
+            'SKIP'
+            'd864cf40b4c33f547ccdca6f74e3b1955274e4b4a30770a644ac54e1bf9d77da'
+            'SKIP'
+            'fdbf1c13d679ae50b60b60b555739a5ee0dcc6211e73af634ed90adc288696b7'
+            'SKIP'
+            'd31914f60e374be384c1e3657b74b37817366f42f24dc068f3439e834575d247'
+            'SKIP'
+            '88d45e6606e172f0ecc416d60cf3f6618a38752fcba93b9d33c44952de9232d7'
+            'SKIP'
+            '4ac15b431285cb8bac224a81381d0b5c97aa35a4dd60dda1ec035adb763b72df'
+            'SKIP'
+            '50e3b09655771e5dd9ecd17d22abceca5afdb96d108807fc289e76374c973496'
+            'SKIP'
+            'd2fba17dc97e154e2d82671c786c9bfd6d333209e1c8ae42563511dccdf0b87e'
+            'SKIP'
+            'b23c926ebfb2df59b7478148fb8397db44e63790ba643932135128889d56b24f'
+            'SKIP'
+            '79812ff3c27719ad0ae2d7fb935f98c282dcead230ba1c5fbbc05b971ebdacb0'
+            'SKIP'
+            'cd3a0ef6e94fae88690220e7bedfb4f04317240158efec6f99df22546e020262'
+            'SKIP'
+            'ea7b84e6cca82c885ea67aee6576355f4b4e71ec39bf07e63c1fba9591ae6ab3'
+            'SKIP'
+            '5330aed6975565941dbebcba6e057a65e3b61cb748ff0a05125958c978bfacff'
+            'SKIP'
+            'a9b63e825878059f5e38e38494a26685c1739ab64abd94a24e21ad23ee763ee0'
+            'SKIP'
+            '6fef77a1587d948cf50dc27b44424cc7409c160cdbbd5ae5db23670196120e67'
+            'SKIP'
+            'ac61c35255b93dd89c783972ef8556f94cf3b0de461122e5500633eb739e4535'
+            'SKIP'
+            'd4954b2fcaa006d1910a0289e0e6e6a57de00cfd65b460c905d45b21836f3c5d'
+            'SKIP'
+            'c8ad0403de15444f2984b7b1492e46cf472f945e109cbe4205d98909549c217c'
+            'SKIP'
+            '6b9829e6ef7a40573144ab48e62a2d8eb59cc1676006d085236e2ea77b4469b2'
+            'SKIP'
+            '4c485d093f5cae98c240fa76a05d0ee430c1520d9dd1c435435d9fb1e47fdadf'
+            'SKIP'
+            'f59eb64830ec9bfcb422c687565df5d60d5490eb21a4d7c543a548fb4f7a437c'
+            'SKIP'
+            'cf95781612c285b432a2d9ad0ff8a1f4750c25be35be7f5729d585cd6a13fcd7'
+            'SKIP'
+            '56f57cd986e552fbb6d9d9cf63c2b3b575d9300f3be3cdb840d7a1ad28b9ceae'
+            'SKIP'
+            '300d2a61dc79479a781077a7fcfe71e83f44a8e90a567f7748df5d799b7d3611'
+            'SKIP'
+            '0795c67e6a1b623bed16a1789743101afc4a29d62d9b6f4eb76aa3175d6bacfb'
+            'SKIP'
+            'ef2f65c1e9e848e39ed4652473d388f3607f4ced62fe93e9aeae367a4162e9ea'
+            'SKIP'
+            '3be494d1eec82050834bdc076aa4981956e8a890d304d24aff03154a2d29ea75'
+            'SKIP'
+            'fbade1854f71188a67ecfd0059a3816c7550dd2239734bef6ae8076de022b232'
+            'SKIP'
+            'ddad5c216344776d9d1e971a7ca24112b49d4c3d88982eb2bce3d40ef22ae88a'
+            'SKIP'
+            '2debfe8df4c1d2dcba1addee69d11ff86aa8d5ce71f4bd9ec3fbd7ceb3c5b088'
+            'SKIP'
+            '1621e03975f39a5cd708a555185f5b13a5289547320dd28491eaacf777078d6c'
+            'SKIP'
+            'ae616871bd9a66691d92d66cd99d991a799d5b5086f39b326cccb891a48252b6'
+            'SKIP'
+            '70f23fbbb541c3a4a9c691c2ac0125d2effbfe10bda05257c9ebe6c63c42545e'
+            'SKIP'
+            'aff474a53d38463115cd0165d1c4c940c9b617b1ec435b136268866833fdd30d'
+            'SKIP'
+            'af2d67e999032e61722c4469ca8ac1d6993c4615ea1e6a3a9e82937e97bf74c5'
+            'SKIP'
+            'ced426a5e21185362687fe7974a19148c7e2ceca6134fad67b070f763307ee05'
+            'SKIP'
+            '33af479067834e712ae2492af7b3654021ac933928637cd7a746a79235e91978'
+            'SKIP'
+            '165fc2f7cb6ab7c3f57b7bade25d51fe3d4dcad8ee032a6c6c0e3581812f9d21'
+            'SKIP'
+            '6f4b88ec569f8e958eeeea5940c59fb5cccbec05e813ca72637ad58d15987f2f'
+            'SKIP'
+            '84117e47ce409f042c26cfc2f6e8733ef7c20206a156cc0b7013838c8234529f'
+            'SKIP'
+            '6e40021655f5a6f6f526f6304a273264bc1d343e1518cfcb35b5034face3b8c0'
+            'SKIP'
+            '41229b0135938086d9d869f4a56ff920b2c48e6fc4b31488812a03dc001c8749'
+            'SKIP'
+            '4ff3c7229279586838a80bbffe37429bacb0b699d1cef7d4d4ffe2aec00c2cb1'
+            'SKIP'
+            '988d2ec24fb20e0379c1258fb83d99eb82ba8074cf528aca44b8164b52be8e1e'
+            'SKIP'
+            '7b55c09459dc9d2acad4524ed08351a3b76d89f75a0915e6c522d0d8940a146f'
+            'SKIP'
+            '0753383b790528c50abefdc1f3dc081da0816c89d89cddf86572083f3bbeb9e0'
+            'SKIP'
+            'd54532ccee4393cbd9215816f13ad45d430f560605fb9ee9670f8eec149ac921'
+            'SKIP'
+            'caf4b6a8b233e18495c6f345e8c34a7acf6b89d750e8b78634996baec907ac89'
+            'SKIP'
+            '40d1b4a0f4a937e11c4730bc39af7965ff3959020f5010af7ae1d28d68a1910f'
+            'SKIP'
+            '98e68e172b4b22b2493b3b14b8f45427cfc29b718e38f44a0e8c85a2edadceb4'
+            'SKIP'
+            '9ac750c6342214e11917091d6e8b34227c9badbc262ea2caefdfa056369ac4a4'
+            'SKIP'
+            '41e8e067c9c21f1a87b09169b52f19aaaa8a8f818ece6a6d6db6a20a6b03f893'
+            'SKIP'
+            '1bee2db4a33ef05b6618615d488ec427b42096b17ac08df285479911da852ca9'
+            'SKIP'
+            '26ceb8001be619fee17721015a586853730bc248bbf97084dd719cb3a318b355'
+            'SKIP'
+            'bf192a00d2429e5573f22356a2200e6fa2b846a86b5bbc111746d12d3da75efd'
+            'SKIP'
+            '062fa9819e0721f425a5154036f5ed3cafe428342fc83d99ba43a5efd88ad358'
+            'SKIP'
+            '336102570de091dc0c8adeefd602c1e42d92e0efdadaa09583bb22cc0e0548ae'
+            'SKIP'
+            '7a14934cc33ac1da57df0a3559e76a9039be0a9e2662e570e3881342842ab31e'
+            'SKIP'
+            '0ed1aa6a7cf0b8caf75faf29c199fac7a133a38e61bd31caf2666e18dae5d561'
+            'SKIP'
+            '7abc19f0ad991e098a4f5052629ca39a99bfc212959e2046b02d191eddf45e85'
+            'SKIP'
+            '0bbeb710251042b863396df35df7c829a6002c7136ed3b1a4937d2901eb33e3c'
+            'SKIP'
+            'c62d9292bff67a1947c2b5f02102863c74d8b75becbc5d1414d1e6b304dec6e0'
+            'SKIP'
+            '8cb0a57514272ed5078ed6bb14abf2808f4859134248e8dccda81a03d22e0d40'
+            'SKIP'
+            'bc41efe46411630d00f38eebc069d7e8ab5f679c7c7f6913634640fc588dccd3'
+            'SKIP'
+            'fbea9b991f495caef54c3686a5389da417ab88d373a46c16684623877206e5fa'
+            'SKIP'
+            '8cdf28570d736121a27667496e7d8f6a61c4963d8860f016852432de0bc30465'
+            'SKIP'
+            'bc5c6fe3ff36f1ae7d72a285e05a363cfc7d7565178b718757616b76dc44cbc2'
+            'SKIP'
+            '1a8c79e961974ad6e616d6171f6ad220fee17f95bec846df4f48deb21d84f71b'
+            'SKIP'
+            '6728dbbfaf0ceb06c3e42a6b6fa4716bd7ee8a2e3e6a55c607d91b7163e881a6'
+            'SKIP'
+            'ecc7217d66f1eadd9e6a84bb835f902216a98ebf4001a5e1d45ab5d28773c8d1'
+            'SKIP'
+            '7f3222bf0132aedeab5e997406951aabd3efe397bf3f22f1ff0dda955d210525'
+            'SKIP'
+            'cbe48640f0d3f983df45e56eec676d68509a54b47a25400c7e693d5450d512b5'
+            'SKIP'
+            '80e400489d963324bad397288750615688baeec6e2063b84d173fa9cfd7382cb'
+            'SKIP'
+            'e7ac31dd80ec8e323f2e580cd6223962bb874008e0dbbe2185018ba4a50c1fad'
+            'SKIP'
+            '08e77b7f67ad802eaf8efa09976a3a8e75fb24d2f45c3d6ceda331bd82a82042'
+            'SKIP'
+            'd0001df92a087208b07ff8214908039f0b277acb1b3633f1ae591df2cefaad7a'
+            'SKIP'
+            '34033f92997d3998300326e80a4cf404d987e161eaccb610cdcedee1448240be'
+            'SKIP'
+            'd4699cf720b2bfbda891adf58261a0ce1a6a3daee5a2c9997a996a4bd4dcb0c7'
+            'SKIP'
+            'b549ce67dc1ddee955c547733cdf99f4e0cee3f612276dbaf27dba80af59037a'
+            'SKIP'
+            'd5fd5af3ec9621bce8bb3915665a4cc337f7fcb3f226c87c9c3c768c0b49e9eb'
+            'SKIP'
+            'd21138a02c93000bce39789445886e84fb88934cb6591f2d898ef1647dc0bfc9'
+            'SKIP'
+            '5d2c65a8afd57f5f1c4879478f24165d240f06139128a7b8d8965f1f1ff3a707'
+            'SKIP'
+            'b88423d6aa4112b34c4799c7afec5ae3c4adcbc385f3b520d1b11c8e288800f8'
+            'SKIP'
+            'b33777b065a3b9501e2eec2adf9e2704f030ca7affb47b8dfe96971ece89b3a1'
+            'SKIP'
+            'adbe12733faa90a1662fe956c08c9ec6b42ea0cfa19b77d40fc5cafc49b6d63e'
+            'SKIP'
+            'dffd97c7dccd23558cbc9550b657d1078d95721977e45fe0ac04f76f66ffbcd3'
+            'SKIP'
+            '051009fa7cfd0a22d46cef7bb2a3b43c00dde0887aa00dbece36a878b3d0456d'
+            'SKIP'
+            '4910322f9988ee0ad10114024531edf24c7fa5a8b883b4f422bc97d4e62b5886'
+            'SKIP'
+            '44ce2a97eea3c7256e0ee0df3b6fab966945d8be7b216203f232c6453faee550'
+            'SKIP'
+            '23abd69c058293ed65c995e9f95a450bfcf365be7c1292dac4e15e23adcd0e60'
+            'SKIP'
+            'd4e702518171dff5e44a88ae3748c5cd252f50ca1942dfc7e8fdb1cc60c25373'
+            'SKIP'
+            '771c6dc05138d0f403a7e964ab7fe14f3657a421c6a5e5da752b78b66fddccf7'
+            'SKIP'
+            '6a628c93d056a95a001fdcc47dde4da3c194544aa01b937bfeed68040d46a8dc'
+            'SKIP'
+            '74c0464d95cf38b95ac0627e7bd96b3da6f6321b718142c77aac2dd93293a4eb'
+            'SKIP'
+            '99450e7fe2d595721ed3ccb6193449739614c62a47b65653721d936cbd71618d'
+            'SKIP'
+            'd98c0683ea299cdcb3f185ee0052c2f4b601aa953d6442c31c9fe43994b4b67d'
+            'SKIP'
+            '44c359ed74cb1771ab84359e58eb3275a334418154c37fdf225ffe0658451cfc'
+            'SKIP'
+            '6985cf6ae5d4b80153bb30c019d9fae4f44e365947f4e67755331860b987f8e6'
+            'SKIP'
+            'cdb6d49079164d321d8ca93229a252a7150e6707c2cffd882ee100e25b977d4e'
+            'SKIP'
+            '1b2c90a52e00ce696a68bbb3de75c9342b15b61b1cf7b5167032c907dfb7d8dd'
+            'SKIP'
+            'b748ddd68bd46d925543bb4afdb65795fe91b330b07607f59184bac20ddd1144'
+            'SKIP'
+            '737ccd69ad4c920bacb5394a76a90539876fb93d97b475acfb738adf40207e70'
+            'SKIP'
+            '6ac3da2582e6ba428b9da92f6d37b952d72b38ea2a70ad668cd89b885f48fb00'
+            'SKIP'
+            '13dc39855b14c1f5f560fb6c12af1de91466398e65aeb42557d28d0b17849194'
+            'SKIP'
+            '680ab1d038bca7f8d95b184e6480ba4278af4dcd8c98f00ad9e572ee91802c61'
+            'SKIP'
+            '92d3b483813f4d06040e6d95a7e3be9985707b9ebfb9f3baa14e23db7114c6bd'
+            'SKIP'
+            '94765c94720b3b8434c962661610c97e1427fd4504d22104420f0ce090df9e63'
+            'SKIP'
+            '45b594bd8e1984b7e76690dcad524c0022f828d32865c8537e908e38df9a38ab'
+            'SKIP'
+            '9749b12c2681ef476a5437e20b0a1ad82ef2a89b8cdfe3915817c0e163926c73'
+            'SKIP'
+            '39eb5a883b6fd5040a124ce75585ab861c5cd573cae5494324d1154a69365a31'
+            'SKIP'
+            '437357d1b882ee441d4745e33db9c0f03d32807caf7e8f3ede73ef4003d69d45'
+            'SKIP'
+            '9cc1fd26ca03c24e87a24bbfa2aefe944a7c8049c1ba2aaebe1b77e1f1f2f912'
+            'SKIP'
+            '7a4a64afda496a5b30277058b1387464af3856548c109dd9ec3f0a7b6fba8f2c'
+            'SKIP'
+            'f9db95e837cf18a3bf93d5937455ca3547a6648f206cfa39cbfa03e61b9d8bcd'
+            'SKIP'
+            '6546cd07d3d9d2f34f99d6d3f571fa9027105afdb3934eeb3f1d8f05f49125b0'
+            'SKIP'
+            'e701f45c7cc4b712bf28a8f5698bc8d37cc89978e319531fa0b5b9bbdf4172bb'
+            'SKIP'
+            '10c1f0187dccad162e7257d477385ae08d5f6c2ec5abd852fcb9ad43e6ee4816'
+            'SKIP'
+            '95b20af59d4c5c1cbac93f296c1eeeda607a75281b6c7ae55f1b8d3892c5e364'
+            'SKIP'
+            '195abe27907fab8f6c6ac99a446aa64f597b0652302c89eef67389153732461d'
+            'SKIP')
+validpgpkeys=('C2839ECAD9408FBE9531C3E9F434A1EFAFEEAEA3') # "LibreOffice Build Team (CODE SIGNING KEY) <build at documentfoundation.org>"
+
+prepare() {
+  for i in ${pkgname[@]}; do
+    _pkglang=${i#*-}
+    _pkglang=${_pkglang/still-}
+
+    echo ${_pkglang} " unpacking..."
+    cd "${srcdir}"/LibreOffice_${_rcver}_Linux_x86_rpm_langpack_${_pkglang}/RPMS
+
+    # remove dictionaries if shipped - we ship them now in separate packages
+    rm -vf *-dict-*.rpm || /bin/true
+
+    for j in *.rpm
+      do bsdtar -x -f $j
+    done
+
+    # the helppack rpm goes also into the langpack dir
+    bsdtar -x -f \
+      "${srcdir}"/LibreOffice_${_rcver}_Linux_x86_rpm_helppack_${_pkglang}/RPMS/*.rpm \
+      || true
+  done
+}
+
+_package() {
+  pkgdesc="$2 language pack for LibreOffice still"
+  depends=('libreoffice-still')
+  provides=("libreoffice-$1")
+  conflicts=("libreoffice-$1")
+
+  cd "$srcdir"/LibreOffice_${_rcver}_Linux_x86_rpm_langpack_$1/RPMS
+  mkdir -p "$pkgdir"/usr/lib/libreoffice
+  cp -R opt/libreoffice*/* "$pkgdir"/usr/lib/libreoffice
+  chown root:root -R "$pkgdir"/usr/lib/libreoffice
+}
+
+for _lang in "${_languages[@]}"; do
+  _locale=${_lang%% *}
+  _pkgname=libreoffice-still-$_locale
+  source+=(${_url}/LibreOffice_${_oodlver}_Linux_x86_rpm_langpack_${_locale}.tar.gz{,.asc})
+
+  if curl -o /dev/null -s -I -f ${_url}/LibreOffice_${_oodlver}_Linux_x86_rpm_helppack_${_locale}.tar.gz; then
+    source+=(${_url}/LibreOffice_${_oodlver}_Linux_x86_rpm_helppack_${_locale}.tar.gz{,.asc})
+  fi
+
+  pkgname+=($_pkgname)
+  eval "package_${_pkgname}() {
+    _package $_lang
+  }"
+done


More information about the arch-commits mailing list